/*
 EPSHeader

   File: test.c
   Author: J. Kercheval
   Created: Wed, 08/28/1991  20:53:31
*/

#ifndef BOOLEAN
#define BOOLEAN int
#define TRUE 1
#define FALSE 0
#endif

#include <stdio.h>
#include "rwndwmd.h"
#include "qmanager.h"
#include "dbuggr.h"
#include "dispat.h"
#include "drivinit.h"
#include "errors.h"
#include "utils.h"
#include "printer.h"
#include "prstream.h"
#include "resid.h"
#include "wDialog.h"
#include "werror.h"
#include "wHelp.h"
#ifdef HP
#include "keymou.h"
#include "reflect.h"
#else /* HP */
#include "prims.h"
#include "zKeymou.h"
#endif /* HP */

main2 ()
{

enum
{
  FOO = 1,
  BAR = 2,
};

#ifdef HELLO
    {
#else
    {
#endif

#ifdef HELLO_AGAIN
#elif
    {
#endif
    }
#define DEFINE_IN_MAIN2
}

int hello2()
{
    hmmm;
}

#define DEFPALETTE	/*0*/		RGB (0,		0,		0),		\
					/*1*/		RGB (128,	0,		0),		\
					/*2*/		RGB (0,		128,	0),		\
					/*3*/		RGB (0,		0,		128),	\
					/*4*/		RGB (128,	0,		128),	\
					/*5*/		RGB (0,		128,	128),	\
					/*6*/		RGB (128,	128,	0),		\
					/*7*/		RGB (192,	192,	192),	\
					/*8*/		RGB (128,	128,	128),	\
					/*9*/		RGB (255,	0,		0),		\
					/*10*/		RGB (0,		255,	0),		\
					/*11*/		RGB (255,	255,	0),		\
					/*12*/		RGB (0,		0,		255),	\
					/*13*/		RGB (255,	0,		255),	\
					/*14*/		RGB (0,		255,	255),	\
					/*15*/		RGB (255,	255,	255)

void (**curdt)(void) = dprimary; /* current dispatch table */

void *hello_again, (**curdt)(void) = dprimary, *goodbye_again;

/* This dispatch table corresponds to character table dfctab */
static void (*dfdtab[7])() = {
	/* first 5 entries correspond to IG, AK, D1, EE, D3 */
	ignchar, ackit, havedc1, endesc, havedc3,

	dfchar
};

char pRefPrinter[80];

#define CHART_DFLOAT                     make_index (0, DFloat)

#define Macro1(c) tolower(c)

typedef int (KEY_HANDLER) (SHORT id, int key);

#define define1 (bad)

typedef void (* INIT_DEINIT_FXN) (LSCREEN *scr);

typedef struct logical_screen
{
} LOGICAL_SCREEN, LSCREEN;

extern struct dirent * readdir (DIR *directory);

extern char * (*screen_item_name) (INDEX);

void (* dprimary[17])() =
{
	/* first 5 entries correspond to IG, AK, D1, EE, D3 */
	ignchar, ackit, havedc1, endesc, havedc3,

	begstream, DoBell, backspace, dotab, linefeed,
#ifdef _gr2393
	carret, shiftout, shiftin, startesc, begtechgr,
#else
	carret, shiftout, shiftin, startesc, beggraph,
#endif
	blokterm, formfeed
}, (* funcptr1[2])(), afterfuncptr;

// dde advise-link structure associating Refl variables with server app items
typedef struct DDECLILINK {
    ATOM  	aItem;			// item name atom
	short 	nVar;			// number of reflection variable
};

/* Possible KERMIT protocol states. */
enum kermProtoStates {
	_kmGetBytes = 2,
	_kmNewRecvFile,
	_kmNewSendFile = 4,
};

enum silliness {
	silly1,
	silly2,
	silly3
};

static char *
xmalloc(n)
     int n;
{
}

struct DDECLILINK *proto3();

int proto1();

void (*proto2)();

typedef struct LL {
    int c;
    int d;
} LL2;

LL2 t1;
struct LL t2;

static struct __cside cModeCache[] = {	/* see cside[] in tabwrite.c */
	{_cbaud,	0,	0},
	{_cdatab,	0,	0},
	{_chkpar,	0,	0},
	{_xxonoff,	0,	0},
	{_ctshnd,	0,	0},
	{_rxonoff,	0,	0},
	{_none8,	0,	0},
	{_portsw,	0,	0},
	{_Ihndshk,	0,	0},
	{_Inhdc2,	0,	0},
	{0}
};

static void
zaptemp(name)
     char *name;
{
  struct tempnode *node, *temp;

}

// Borland C++ - (C) Copyright 1991 by Borland International

/*	HELLO.C -- Hello, world */

typedef char hello[20];

typedef struct {
    char t;
    int tt;
} toodles[20];

typedef void (*typedef1)(char);

typedef BOOL (LINEFN) (int row, int col, struct scroll_box *sb);

#define ABORTXFER true+1 /* User hit abort key */

/*__________________________________________________________________________*/
extern void fprompt(which)
short which; /* 0 = send, 1 = receive */
/*
 * Do a prompted file transfer
 */
{
	extern MODES curmodes;
	extern char* nullstr;

	REGISTER Boolean oldqustat = curmodes.qustat;
	REGISTER short oldrecsize = curmodes.recsize;

	setsmode(_locfile, nullstr);
	setsmode(_hosfile, nullstr);
	setfalse(_qustat);

	if (checkfiles(which, -1, true, true)) {
#ifdef _Windows
		rStatus |= rFTDialog | rFT;
		initCWMenu();
#endif
		if (which == 0)
	  		ftsend(-1, true);
		else
			ftrecv(-1, true);
#ifdef _Windows
		rStatus &= ~(rFTDialog | rFT);
		initCWMenu();
#endif
	}
	setmode(_qustat, (long)oldqustat);
	setmode(_recsize, oldrecsize);
}

int *(*hellotoyoutoo);

char c='l', h='t';

#define DEFINE_OUTSIDE_OF_MAIN()

int main()
{
	printf("Hello, world\n");
#define DEFINE_IN_MAIN
	return 0;
}
#define DEFINE_OUTSIDE_OF_MAIN()


